Bug 437218 - Oops during compilation (SMP DEBUG_PAGEALLOC)
Oops during compilation (SMP DEBUG_PAGEALLOC)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-12 18:51 EDT by Ulrich Drepper
Modified: 2008-04-27 00:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-27 00:03:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2008-03-12 18:51:43 EDT
Description of problem:
I got the following while compiling glibc:

BUG: unable to handle kernel paging request at ffff8100701a4008
IP: [<ffffffff8107ca0e>] iov_iter_advance+0x50/0x64
PGD 8063 PUD a063 PMD 7063b163 PTE 80000000701a4160
CPU 1 
Modules linked in: nfs lockd nfs_acl ipt_MASQUERADE iptable_nat nf_nat bridge
rfcomm l2cap bluetooth autofs4 sunrpc ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad
ib_core ib_addr iscsi_tcp libiscsi scsi_transport_iscsi nf_conntrack_netbios_ns
ipt_REJECT nf_conntrack_ipv4 xt_state nf_conntrack xt_tcpudp iptable_filter
ip_tables x_tables cpufreq_ondemand acpi_cpufreq freq_table loop dm_multipath
kvm_intel kvm snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm firewire_ohci firewire_core
snd_timer snd_page_alloc i82975x_edac snd_hwdep button edac_core snd crc_itu_t
e1000e pcspkr parport_pc soundcore parport i2c_i801 i2c_core sr_mod sg floppy
cdrom sata_sil dm_snapshot dm_zero dm_mirror dm_mod ata_piix ata_generic
pata_acpi libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
[last unloaded: scsi_wait_scan]
Pid: 21694, comm: ld-linux-x86-64 Not tainted 2.6.25-0.105.rc5.fc9 #1
RIP: 0010:[<ffffffff8107ca0e>]  [<ffffffff8107ca0e>] iov_iter_advance+0x50/0x64
RSP: 0018:ffff8100789d9ad8  EFLAGS: 00010246
RAX: 0000000000000000 RBX: 000000000000095b RCX: 0000000000000000
RDX: 0000000000000000 RSI: 000000000000095b RDI: ffff8100789d9b88
RBP: ffff8100789d9ad8 R08: 0000000000000000 R09: ffff8100701a4000
R10: ffff810000000000 R11: ffff8100789d9a78 R12: 000000000000095b
R13: 0000000000001000 R14: 0000000000000000 R15: ffff8100789d9b88
FS:  00002b383afc4b00(0000) GS:ffff81007f8214b0(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff8100701a4008 CR3: 000000005e9a3000 CR4: 00000000000026a0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process ld-linux-x86-64 (pid: 21694, threadinfo ffff8100789d8000, task
Stack:  ffff8100789d9be8 ffffffff8107e603 ffff8100789d9be8 ffff810051957038
 ffff8100789d9bf8 ffff81004ed96fd0 ffff81004ede68f8 ffff8100789d9da8
 0000000000000000 ffff8100789d9d28 ffff81005f4da480 ffff81004ed96fd0
Call Trace:
 [<ffffffff8107e603>] generic_file_buffered_write+0x1d6/0x660
 [<ffffffff81038d7f>] ? current_fs_time+0x22/0x29
 [<ffffffff8110b180>] ? security_inode_need_killpriv+0x11/0x13
 [<ffffffff8107eff7>] __generic_file_aio_write_nolock+0x35c/0x390
 [<ffffffff8107f094>] generic_file_aio_write+0x69/0xc5
 [<ffffffff88033424>] :ext3:ext3_file_write+0x1e/0x9e
 [<ffffffff88033406>] ? :ext3:ext3_file_write+0x0/0x9e
 [<ffffffff810aa7e8>] do_sync_readv_writev+0xe3/0x12b
 [<ffffffff81047dd7>] ? autoremove_wake_function+0x0/0x38
 [<ffffffff81112eb8>] ? selinux_file_permission+0x10f/0x118
 [<ffffffff8110b203>] ? security_file_permission+0x11/0x13
 [<ffffffff810aaf08>] do_readv_writev+0xb8/0x193
 [<ffffffff810a4cdf>] ? __slab_free+0x28b/0x2d1
 [<ffffffff810a58a2>] ? kmem_cache_free+0xc4/0xd3
 [<ffffffff81053977>] ? trace_hardirqs_on+0xf1/0x115
 [<ffffffff810ab021>] vfs_writev+0x3e/0x49
 [<ffffffff810ab073>] sys_writev+0x47/0x94
 [<ffffffff8100c02b>] system_call_after_swapgs+0x7b/0x80

The sources come over NFS, the object files are written locally.  It seems the
latter is the reason here.

Version-Release number of selected component (if applicable):

How reproducible:
didn't try

Steps to Reproduce:
1.install x86-64 system with this kernel
2.compile glibc
Actual results:
see above

Expected results:
no crash

Additional info:
Comment 1 Chuck Ebbert 2008-03-13 15:27:05 EDT
Should be fixed in a later kernel, by this commit:
 iov_iter_advance() fix

Note You need to log in before you can comment on or make changes to this bug.